//
//  AudioFileTableViewController.m
//  TextKit
//
//  Created by Gene Whitaker on 8/6/15.
//  Copyright (c) 2015 Bombing Brain Interactive. All rights reserved.
//

#import "AudioFileTableViewController.h"

@interface AudioFileTableViewController ()
@property (strong, nonatomic) NSArray *audioFiles;
@end

@implementation AudioFileTableViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.audioFiles = @[@"holdingmybreath.mp4",@"iknow.mp4",@"layover.mp4",@"overit.mp4",@"(none)"];
    self.preferredContentSize = CGSizeMake(320, 220);
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [self.audioFiles count];
}


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"cell"];
    
    // Configure the cell...
    cell.textLabel.text = self.audioFiles[indexPath.row];
    
    return cell;
}

-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    NSString *audioFile = self.audioFiles[indexPath.row];
    if ([audioFile isEqualToString:@"(none)"]) {
        audioFile = @"";
    }
    if (self.delegate && [self.delegate respondsToSelector:@selector(audioFileTableViewControllerDidSelectFile:)]) {
        [self.delegate audioFileTableViewControllerDidSelectFile:audioFile];
    }
}

@end
