//
//  CustomTextView.m
//  TextKit
//
//  Created by Gene Whitaker on 8/7/15.
//  Copyright (c) 2015 Bombing Brain Interactive. All rights reserved.
//

#import "CustomTextView.h"
#import "CustomTextSelectionRect.h"

@implementation CustomTextView

- (CGRect)caretRectForPosition:(UITextPosition *)position {
    //Override the caret height
    CGRect originalRect = [super caretRectForPosition:position];
    originalRect.size.height = self.font.pointSize*1.2;
    return originalRect;
}

- (NSArray *)selectionRectsForRange:(UITextRange *)range {
    
    NSArray *originalSectionRects = [super selectionRectsForRange:range];
    NSMutableArray *newSelectionRects = [[NSMutableArray alloc] initWithCapacity:originalSectionRects.count];
    
    // For all the UITextSelectionRects
    for (UITextSelectionRect *selectionRect in originalSectionRects) {
        // Use one with a custom height
        CustomTextSelectionRect *newSelectionRect = [[CustomTextSelectionRect alloc] initWithTextSelectionRect:selectionRect rectHeight:self.font.pointSize*1.2];
        [newSelectionRects addObject:newSelectionRect];
    }
    return newSelectionRects.copy;
}

@end
